> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications

> Get calendar notifications based on query



## OpenAPI

````yaml /api-reference/calendars/openapi.json get /calendars/{calendarId}/notifications
openapi: 3.0.0
info:
  title: Calendars API
  description: Documentation for Calendars API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Calendars
    description: Documentation for Calendars API
  - name: Calendar Groups
    description: Documentation for Calendars API
  - name: Calendar Events
    description: Documentation for Calendars API
  - name: Appointment Notes
    description: Documentation for Calendars API
  - name: Calendar Resources - Rooms and Equipment
    description: Documentation for Calendars API
  - name: Calendar Notifications
    description: Documentation for Calendars API
  - name: Availability
    description: Documentation for Calendars API
paths:
  /calendars/{calendarId}/notifications:
    get:
      tags:
        - Calendar Notifications
      summary: Get notifications
      description: Get calendar notifications based on query
      operationId: get-event-notification
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: calendarId
          required: true
          in: path
          schema:
            type: string
        - name: isActive
          required: false
          in: query
          schema:
            type: boolean
        - name: deleted
          required: false
          in: query
          schema:
            type: boolean
        - name: limit
          required: false
          in: query
          description: Number of records to return
          schema:
            default: 100
            type: number
        - name: skip
          required: false
          in: query
          description: Number of records to skip
          schema:
            default: 0
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CalendarNotificationResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - calendars/events.readonly
components:
  schemas:
    CalendarNotificationResponseDTO:
      type: object
      properties:
        _id:
          type: string
          description: Notification ID
        receiverType:
          type: string
          example: contact
          enum:
            - contact
            - guest
            - assignedUser
            - emails
            - phoneNumbers
            - business
        additionalEmailIds:
          example:
            - example1@email.com
            - example2@email.com
          type: array
          items:
            type: string
        additionalPhoneNumbers:
          example:
            - '+919876744444'
            - '+919876744445'
          type: array
          items:
            type: string
        channel:
          type: string
          example: email
          enum:
            - email
            - inApp
            - sms
            - whatsapp
        notificationType:
          type: string
          example: confirmation
          enum:
            - booked
            - confirmation
            - cancellation
            - reminder
            - followup
            - reschedule
        isActive:
          type: boolean
          example: true
        additionalWhatsappNumbers:
          example:
            - '+919876744444'
            - '+919876744445'
          type: array
          items:
            type: string
        templateId:
          type: string
          example: 0as9d8as0d
        body:
          type: string
          example: This is a test notification
        subject:
          type: string
          example: Test Notification
        afterTime:
          example:
            - timeOffset: 1
              unit: hours
          type: array
          items:
            $ref: '#/components/schemas/SchedulesDTO'
        beforeTime:
          example:
            - timeOffset: 1
              unit: hours
          type: array
          items:
            $ref: '#/components/schemas/SchedulesDTO'
        selectedUsers:
          example:
            - user1
            - user2
          type: array
          items:
            type: string
        deleted:
          type: boolean
          example: false
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    SchedulesDTO:
      type: object
      properties:
        timeOffset:
          type: number
        unit:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````